• Precios
  • Blog
Iniciar sesiónAgendá una demo
Batch create customers POSTGrant customer credit POSTCreate customer POSTGet customer GETList customer credits GETList customers GETRevoke remaining customer credit POSTUpdate customer PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List customers

List customers with cursor-based pagination.

GET
/customers

List customers with cursor-based pagination.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
externalId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers"
{  "object": "list",  "data": [    {      "id": "string",      "externalId": "string",      "fullName": "string",      "email": "string",      "taxDocument": "string",      "documentType": "string",      "timezone": "string",      "metadata": {        "property1": null,        "property2": null      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "object": "customer",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

List customer credits GET

List currency-specific invoice credit grants and their remaining balances for a customer.

Revoke remaining customer credit POST

Revoke the unallocated remainder of a customer credit grant. Applied invoice history is unchanged.